Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: projects.locations.collections.dataStores.sessions.list
コレクションでコンテンツを整理
必要に応じて、コンテンツの保存と分類を行います。
HTTP リクエスト
GET https://discoveryengine.googleapis.com/v1/{parent=projects/*/locations/*/collections/*/dataStores/*}/sessions
この URL では gRPC Transcoding 構文を使用します。
パスパラメータ
| パラメータ |
parent |
string
必須。データストアのリソース名。形式: projects/{project}/locations/{location}/collections/{collection}/dataStores/{dataStoreId}
|
クエリ パラメータ
| パラメータ |
pageSize |
integer
ページあたりの結果数の上限です。指定されていない場合、デフォルトは 50 件です。最大許容値は 1,000 です。
|
pageToken |
string
前回の sessions.list 呼び出しから受け取ったページトークン。後続のページを取得するにはこれを指定します。
|
filter |
string
フィルタするフィールドのカンマ区切りのリスト(EBNF 文法)。 サポートされているフィールドは次のとおりです。
user_pseudo_id
state
display_name
starred
is_pinned
labels
create_time
update_time
collaborativeProject
例:
user_pseudo_id = some_id
display_name = "some_name"
starred = true
is_pinned=true AND (NOT labels:hidden)
create_time > "1970-01-01T12:00:00Z"
collaborativeProject =
"projects/123/locations/global/collections/default_collection/engines/"
"default_engine/collaborativeProjects/cp1"
|
orderBy |
string
昇順で並べ替えるフィールドのカンマ区切りリスト。降順にするには、フィールド名の後に「desc」を使用します。 サポートされているフィールド:
update_time
create_time
session_name
is_pinned
display_name
例:
update_time desc
create_time
is_pinned desc,update_time desc: セッションをまず is_pinned で並べ替え、次に update_time で並べ替えます。
|
リクエストの本文
リクエストの本文は空にする必要があります。
レスポンスの本文
成功した場合、レスポンスの本文には ListSessionsResponse のインスタンスが含まれます。
認可スコープ
次の OAuth スコープのいずれかが必要です。
https://www.googleapis.com/auth/cloud-platform
https://www.googleapis.com/auth/discoveryengine.assist.readwrite
https://www.googleapis.com/auth/discoveryengine.readwrite
https://www.googleapis.com/auth/discoveryengine.serving.readwrite
詳細については、Authentication Overview をご覧ください。
IAM 権限
parent リソースに対する次の IAM 権限が必要です。
discoveryengine.sessions.list
詳細については、IAM のドキュメントをご覧ください。
特に記載のない限り、このページのコンテンツはクリエイティブ・コモンズの表示 4.0 ライセンスにより使用許諾されます。コードサンプルは Apache 2.0 ライセンスにより使用許諾されます。詳しくは、Google Developers サイトのポリシーをご覧ください。Java は Oracle および関連会社の登録商標です。
最終更新日 2026-07-10 UTC。
[[["わかりやすい","easyToUnderstand","thumb-up"],["問題の解決に役立った","solvedMyProblem","thumb-up"],["その他","otherUp","thumb-up"]],[["わかりにくい","hardToUnderstand","thumb-down"],["情報またはサンプルコードが不正確","incorrectInformationOrSampleCode","thumb-down"],["必要な情報 / サンプルがない","missingTheInformationSamplesINeed","thumb-down"],["翻訳に関する問題","translationIssue","thumb-down"],["その他","otherDown","thumb-down"]],["最終更新日 2026-07-10 UTC。"],[],[]]